// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0.If a copy of the MPL was not distributed with this
// file, You can obtain one at https ://mozilla.org/MPL/2.0/.

#include "AngleAxis.h"

template <typename T>
AngleAxis<T>::AngleAxis() {
  this->angle = Angle();
  this->axis = Direction<T>();
}

template <typename T>
AngleAxis<T>::AngleAxis(AngleOf<T> angle, Direction<T> axis) {
  this->angle = angle;
  this->axis = axis;
}